/****************************************************************************
** Image collection for project 'qstars'.
**
** Generated from reading image files: 
**      qstars.png
**
** Created by The User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include <qimage.h>
#include <qdict.h>
#include <qmime.h>
#include <qdragobject.h>

// qstars.png
static const unsigned char image_0_data[] = {
    0x00,0x00,0x04,0x00,0x78,0x9c,0xd5,0x93,0x41,0x0e,0x80,0x20,0x0c,0x04,
    0xf7,0xe9,0x7d,0x0a,0x07,0x1f,0xd2,0x87,0xf0,0x17,0xd1,0x46,0x9a,0x52,
    0xa0,0x22,0x37,0x49,0xf6,0x82,0x9d,0x31,0x69,0x16,0x30,0x33,0xae,0x9c,
    0x00,0x66,0xc1,0x33,0x33,0x8a,0xce,0xe5,0x9c,0x9b,0xa4,0x74,0x68,0x02,
    0x8f,0x7c,0xab,0xc7,0x3b,0x16,0x3c,0x72,0x47,0x44,0x92,0x0d,0x8f,0xf2,
    0xa0,0xd8,0x63,0x79,0xe7,0x51,0x5e,0xc2,0xad,0xc7,0xce,0xdf,0x77,0x21,
    0xcf,0x6d,0xfe,0xc2,0xd7,0x1d,0x6d,0xf0,0xc3,0x0e,0xad,0xf0,0xa6,0x07,
    0xca,0x7a,0x8f,0xe7,0x27,0x9d,0xee,0xff,0x6f,0xfa,0xe1,0xf7,0x24,0xbb,
    0x0a,0xba,0x3c,0xf0,0x58,0xee,0xed,0x3d,0x75,0x9e,0x0f,0xdc,0xcc,0x13,
    0xcd,0x14,0x83,0x61,0x4e,0xa9
};

static struct EmbedImage {
    int width, height, depth;
    const unsigned char *data;
    ulong compressed;
    int numColors;
    const QRgb *colorTable;
    bool alpha;
    const char *name;
} embed_image_vec[] = {
    { 16, 16, 32, (const unsigned char*)image_0_data, 132, 0, 0, TRUE, "qstars.png" },
    { 0, 0, 0, 0, 0, 0, 0, 0, 0 }
};

static QImage uic_findImage( const QString& name )
{
    for ( int i=0; embed_image_vec[i].data; i++ ) {
	if ( QString::fromUtf8(embed_image_vec[i].name) == name ) {
	    QByteArray baunzip;
	    baunzip = qUncompress( embed_image_vec[i].data, 
		embed_image_vec[i].compressed );
	    QImage img((uchar*)baunzip.data(),
			embed_image_vec[i].width,
			embed_image_vec[i].height,
			embed_image_vec[i].depth,
			(QRgb*)embed_image_vec[i].colorTable,
			embed_image_vec[i].numColors,
			QImage::BigEndian
		);
	    img = img.copy();
	    if ( embed_image_vec[i].alpha )
		img.setAlphaBuffer(TRUE);
	    return img;
        }
    }
    return QImage();
}

class MimeSourceFactory_qstars : public QMimeSourceFactory
{
public:
    MimeSourceFactory_qstars() {}
    ~MimeSourceFactory_qstars() {}
    const QMimeSource* data( const QString& abs_name ) const {
	const QMimeSource* d = QMimeSourceFactory::data( abs_name );
	if ( d || abs_name.isNull() ) return d;
	QImage img = uic_findImage( abs_name );
	if ( !img.isNull() )
	    ((QMimeSourceFactory*)this)->setImage( abs_name, img );
	return QMimeSourceFactory::data( abs_name );
    };
};

static QMimeSourceFactory* factory = 0;

void qInitImages_qstars()
{
    if ( !factory ) {
	factory = new MimeSourceFactory_qstars;
	QMimeSourceFactory::defaultFactory()->addFactory( factory );
    }
}

void qCleanupImages_qstars()
{
    if ( factory ) {
	QMimeSourceFactory::defaultFactory()->removeFactory( factory );
	delete factory;
	factory = 0;
    }
}

class StaticInitImages_qstars
{
public:
    StaticInitImages_qstars() { qInitImages_qstars(); }
#if defined(Q_OS_SCO) || defined(Q_OS_UNIXWARE)
    ~StaticInitImages_qstars() { }
#else
    ~StaticInitImages_qstars() { qCleanupImages_qstars(); }
#endif
};

static StaticInitImages_qstars staticImages;
